define({"0":{y:0,u:"../Content/Part_Overview.htm",l:-1,t:"Overview of Filter SDK",i:0.00441592072421849,a:"Overview of Filter SDK This section provides an overview of the OpenText KeyView Filter SDK and describes how to get started with the Java API. Introducing Filter SDK Getting Started"},"1":{y:0,u:"../Content/filter_shared/filtersdk_intro/intro_filtersdk.htm",l:-1,t:"Introducing Filter SDK",i:0.00629271257811222,a:"Introducing Filter SDK This section describes the KeyView Filter SDK. "},"2":{y:0,u:"../Content/filter_shared/filtersdk_intro/Overview.htm",l:-1,t:"Overview",i:0.00441592072421849,a:"OpenText KeyView Filter SDK enables you to incorporate text extraction functionality into your own applications. It extracts text and metadata from a wide variety of file formats on numerous platforms, and can automatically recognize over 1900 document types. It supports both file-based and ..."},"3":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00441592072421849,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"4":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00441592072421849,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"5":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00441592072421849,a:"Supported Compilers The following table lists the supported compilers for the Java Filter SDK."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00629271257811222,a:"To run KeyView on Windows requires the Microsoft Visual C++ 2019 redistributables to be installed. The redistributables are provided in the vcredist folder of the KeyView SDK but you can  download the latest installers from Microsoft  to get the latest security, reliability, and performance ..."},"7":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.00441592072421849,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"8":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.00441592072421849,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"9":{y:0,u:"../Content/filter_shared/filtersdk_intro/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00441592072421849,a:"The Filter SDK installation contains: All the libraries and executables necessary for extracting text from a wide variety of formats. The  include files that define the C API. These files can be found in the include directory. The Java API implemented in the package com.verity.api.filter contained ..."},"10":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0511828355584821,a:"Your license key controls whether you have the full version of the KeyView SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document readers: Microsoft ..."},"11":{y:0,u:"../Content/Chapter_GettingStarted.htm",l:-1,t:"Getting Started",i:0.00629271257811222,a:"Getting Started This section provides information about how to get started with the KeyView Filter Java API."},"12":{y:0,u:"../Content/Java/gettingstarted/Filtering.htm",l:-1,t:"Filtering",i:0.00441592072421849,a:"Filter SDK enables you to filter many different types of documents. Filtering is the process of extracting the text from a document without the application-specific markup. However, the filtering process can also include the following: Subfile extraction—exposes all subfiles for filtering. See  Use ..."},"13":{y:0,u:"../Content/Java/gettingstarted/Sub_File_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00441592072421849,a:"To filter a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. Archive files (such as ZIP), mail messages with attachments (such as  Microsoft Outlook Express), mail stores ..."},"14":{y:0,u:"../Content/Java/gettingstarted/Use_Java_Implementation.htm",l:-1,t:"Use the Java Implementation of the API",i:0.00441592072421849,a:"The Java version of the Filter API provides an interface to the core functionality of the C API. It contains one primary class (Filter) that wraps the filter functionality of the C API. It is implemented in the package com.verity.api.filter contained in the file  KeyView.jar. The JAR file is in the ..."},"15":{y:0,u:"../Content/Java/gettingstarted/Input_Output_Operations.htm",l:-1,t:"Input/Output Operations",i:0.0168731466220644,a:"Methods in the Filter Java API have signatures that support a variety of input and output methods. The input source can usually be a physical file accessed through a file path, a com.verity.api.SeekableInputStream or a standard java.io.InputStream. You can send the output to a file or ..."},"16":{y:0,u:"../Content/Java/gettingstarted/Filter_in_File_or_Stream.htm",l:-1,t:"Filter in File or Stream Mode",i:0.00441592072421849,a:"To filter files using the methods in the Filter class Instantiate a Filter object: Use the constructor Filter(String license). For example: m_objFilter = new Filter(\"YOUR_KEYVIEW_LICENSE\"); Use the constructor Filter(String license, java.lang.String outputCharSet, long filterFlags). For example: ..."},"17":{y:0,u:"../Content/Java/gettingstarted/Multi_Threaded_Filtering.htm",l:-1,t:"Multithreaded Filtering",i:0.00441592072421849,a:"To ensure multithreaded filter processes are thread-safe, you must create a unique Filter context for every thread by instantiating a Filter object. In addition, threads must not share context objects, and the same context object must be used for all API calls in the same thread. Creating a context ..."},"18":{y:0,u:"../Content/Java/gettingstarted/Before_Running_Your_Application.htm",l:-1,t:"Before Running Your Application",i:0.00441592072421849,a:"Before running your application you must set the library path using one of the following methods: On Windows, add the location of KeyViewFilter.dll to the PATH environment variable. On Linux, add the location of libKeyViewFilter.so to the LD_LIBRARY_PATH environment variable.  You can also specify ..."},"19":{y:0,u:"../Content/filter_shared/The_Filter_Process_Model.htm",l:-1,t:"The Filter Process Model",i:0.00816950443200594,a:"By default, Filter runs independently from the calling application process. This is called out-of-process filtering. Out-of-process filtering protects the stability of the calling application in the rare case when a malformed document causes Filter to fail. You can configure Filter  to run in the ..."},"20":{y:0,u:"../Content/filter_shared/Persist_the_Child_Proces.htm",l:-1,t:"Persist the Child Process",i:0.00441592072421849,a:"By default, in out-of-process filtering, the parent process maintains a persistent connection with the child server after each file is filtered. When the connection is preserved in this way, subsequent filtering requests are processed more quickly because the server is already prepared to receive ..."},"21":{y:0,u:"../Content/Java/gettingstarted/Run_Filter_In_Process.htm",l:-1,t:"Run Filter In Process",i:0.00719767918240944,a:"By default, Filter runs out of process. However, you can enable in-process filtering through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, then Filter is run out of process. If the type of process is specified in the formats.ini and in ..."},"22":{y:0,u:"../Content/Java/gettingstarted/Run_File_Extraction_Func.htm",l:-1,t:"Run File Extraction Functions Out of Process",i:0.00816950443200594,a:"Run File  Extraction Functions Out of  Process The out-of-process setting specified when you create the Filter object or in the formats.ini is automatically propagated to the File Extraction API. When you extract subfiles from container files and pass the files for filtering out of process, Filter ..."},"23":{y:0,u:"../Content/filter_shared/Out_of_Process_Logging.htm",l:-1,t:"Out-of-Process Session Logging",i:0.0294313952280252,a:"Logging is available for out-of-process filtering. The kvoop server can create a log file that captures information on the files being processed, storing one entry per session (process). The generated log file is called  xxxx_kvoop.log, where  xxxx is a unique number identifying the session.  In the ..."},"24":{y:0,u:"../Content/Java/gettingstarted/Run_File_Detection_In_or.htm",l:-1,t:"Run File Detection In or Out of Process",i:0.00441592072421849,a:"By default, detection runs in out-of-process mode. However, you can enable in-process detection through the API or in the formats.ini file. If the type of process is not specified in the formats.ini or in the API, Filter runs in out-of-process mode. If the type of process is specified in the ..."},"25":{y:0,u:"../Content/Part_UseSDK.htm",l:-1,t:"Use Filter SDK",i:0.00441592072421849,a:"Use Filter SDK This section explains how to perform some basic tasks by using the File Extraction and Filter APIs, and describes the sample programs. Use the File Extraction API Use the Filter API Use the Metadata API Sample Programs Advanced Topics"},"26":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c.htm",l:-1,t:"Use the File Extraction API",i:0.0098586171005103,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"27":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Introduction.htm",l:-1,t:"Introduction",i:0.00441592072421849,a:"To  filter  a file, you must first determine whether the file contains any subfiles (attachments, embedded OLE objects, and so on). A file that contains subfiles is called a  container file. A container file has a main file (parent) and subfiles (children) embedded in the main file.  The following ..."},"28":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_Sub_Files.htm",l:-1,t:"Extract Subfiles",i:0.0294313952280252,a:"To  filter  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  filtering . Once a subfile is extracted, you can ..."},"29":{y:0,u:"../Content/Shared/_KV_xtract_pwd_java.htm",l:-1,t:"Open Password Protected Container Files",i:0.00441592072421849,a:"This section describes how to extract password-protected container files by using the Java API. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must specify the user’s password as a ..."},"30":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00441592072421849,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"31":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00441592072421849,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"32":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Recreate_a_File_Hierarchy.htm",l:-1,t:"Recreate a File Hierarchy",i:0.00524640245074155,a:"When a container file is extracted, any relationships between the subfiles in the container are not maintained. However, the File Extraction interface provides information that enables you to recreate the hierarchy. The hierarchy can be used to create a directory structure in a file system, or to ..."},"33":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookFiles.htm",l:-1,t:"Extract Subfiles from Outlook Files",i:0.00441592072421849,a:"Extract  Subfiles from Outlook Files When you extract an Outlook file (MSG) to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, see  Mail Metadata . If the Outlook file contains a non-mail ..."},"34":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookExpress.htm",l:-1,t:"Extract Subfiles from Outlook Express Files",i:0.00441592072421849,a:"Extract Subfiles from Outlook  Express Files When you extract an Outlook Express (EML) file to disk, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, see  Mail Metadata . If the Outlook Express file ..."},"35":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_Mailbox_Files.htm",l:-1,t:"Extract Subfiles from Mailbox Files",i:0.00441592072421849,a:"Extract  Subfiles from Mailbox Files A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  When an ..."},"36":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_OutlookPersonal_files.htm",l:-1,t:"Extract Subfiles from Outlook Personal Folders Files",i:0.00441592072421849,a:"Extract  Subfiles from Outlook Personal Folders Files KeyView can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file. When a PST file is extracted to disk, the body text and header information (To, From, Sent, and so on) from each ..."},"37":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusDomino.htm",l:-1,t:"Extract Subfiles from Lotus Domino XML Language Files",i:0.00441592072421849,a:"Extract  Subfiles from Lotus Domino XML Language Files When you extract a Lotus Domino XML Language (.DXL) file, the message text and header information (To, From, Sent, and so on) is extracted to a text file. If you do not want to extract the header information, see  Mail Metadata . You can make ..."},"38":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_LotusNotes_DB.htm",l:-1,t:"Extract Subfiles from Lotus Notes Database Files",i:0.00441592072421849,a:"Extract  Subfiles from Lotus Notes Database Files A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document ..."},"39":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Extract_SubFiles_PDF_Files.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00816950443200594,a:"Extract  Subfiles from PDF Files KeyView can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are ..."},"40":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00441592072421849,a:"To improve performance when processing  PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, KeyView does not extract the image.  For example, to ignore images that are ..."},"41":{y:0,u:"../Content/kv_xtract_api_c/_KV_xtract_c_Extract_Embedded_OLE_Objects.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00441592072421849,a:"The File Extraction API can extract embedded OLE objects from the following types of documents: Lotus Notes (DXL) Microsoft Excel Microsoft Word Microsoft PowerPoint Microsoft Outlook Microsoft Visio Microsoft Project OASIS Open Document Rich Text Format (RTF) When an embedded OLE object is ..."},"42":{y:0,u:"../Content/kv_xtract_api_java/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00441592072421849,a:"Default File Names for  Extracted Subfiles When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, KeyView applies its ..."},"43":{y:0,u:"../Content/Chapter_UseFilterAPI.htm",l:-1,t:"Use the Filter API",i:0.00516663746577598,a:"Use the Filter API This section describes how to perform some basic filtering tasks by using the Filter API."},"44":{y:0,u:"../Content/filter_shared/filter_detection/Extract_Format_Info.htm",l:-1,t:"Obtain Format Information",i:0.00535431665116535,a:"The KeyView format detection module (kwad) detects a file\u0027s format, and reports the information to your application. You can obtain format information from a document by using one of the getDocFormatInfo methods. These methods extract the major format, file class, version, and document attributes, ..."},"45":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00441592072421849,a:"When KeyView auto-detects a file that contains source code, it can attempt to identify the programming language that it is written in. When you do not enable source code identification, files containing source code may be identified as ASCII text files, causing the application to treat them in the ..."},"46":{y:0,u:"../Content/filter_shared/filter_detection/Determine_Doc_Reader.htm",l:-1,t:"File Formats and Document Readers",i:0.0162561497810497,a:"The KeyView configuration file  formats.ini contains a section named [Formats]. Each line in this section matches a file format with the reader to use to parse the format. For most file formats there is only one suitable reader, but for some formats you can choose a reader to use. Each file format ..."},"47":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00441592072421849,a:"During text detection, KeyView analyses the first 1 kB and last 1 kB of data in a document. If less than 10% of that data consists of non-ASCII characters, KeyView detects the document as a text file. However, depending on the type of documents you are working with, the default settings might not ..."},"48":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00441592072421849,a:"KeyView returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the format\u0027s MIME ..."},"49":{y:0,u:"../Content/filter_shared/Convert_Character_Sets.htm",l:-1,t:"Character Encoding",i:0.0127055597686882,a:"To ensure that all filtered text is output in the same character encoding, KeyView performs character encoding conversion. In most cases, if your license includes advanced character set detection, KeyView can detect the character encoding used in a source file, and automatically outputs filtered ..."},"50":{y:0,u:"../Content/Java/filter_api/Set_CharSet_Extraction.htm",l:-1,t:"Set the Character Set During Subfile Extraction",i:0.00441592072421849,a:"Set the Character Set During  Subfile Extraction You can convert the character set of a subfile at the time the subfile is extracted from the container and before it is filtered. This is most often used to set the character set of a mail message\u0027s body text. To specify the source and target ..."},"51":{y:0,u:"../Content/filter_shared/Filter_Deleted_Text.htm",l:-1,t:"Filter Deleted Text",i:0.00636719745588638,a:"Some applications have revision tracking features—such as Microsoft Word\u0027s Track Changes—that identify changes to a document. When these features are used, text that was deleted from a document might still be stored in the file. KeyView does not filter deleted text by default, but the Filter API ..."},"52":{y:0,u:"../Content/filter_shared/Filter_PDF_Files.htm",l:-1,t:"Filter PDF Files",i:0.00636719745588638,a:"Filter PDF Files Filter has special configuration options that allow greater control over the conversion of Adobe Acrobat PDF files."},"53":{y:0,u:"../Content/filter_shared/pdf2sr.htm",l:-1,t:"Use the pdf2sr Reader",i:0.00441592072421849,a:"The pdf2sr reader is an alternative that can be used instead of pdfsr for filtering PDF files. It uses a different parsing technology and may yield better results for some files. The pdf2sr reader has the following features: supports standard and custom metadata (non-XMP) supports basic text ..."},"54":{y:0,u:"../Content/filter_shared/Filter_PDF_LogicalOrder.htm",l:-1,t:"Filter PDF Files to a Logical Reading Order",i:0.00816950443200594,a:"The order of the text inside a PDF file has no relation to the layout of the text on the page or screen. By default, KeyView extracts paragraphs in the order in which they are stored in the file, not the order in which they appear on the page. For example, a three-column article could be output with ..."},"55":{y:0,u:"../Content/filter_shared/Rotated_Text.htm",l:-1,t:"Rotated Text",i:0.00441592072421849,a:"When a PDF that contains rotated text is filtered, the rotated text is extracted after the text at the end of the PDF page on which the rotated text appears. If the PDF is filtered with logical order enabled, and the amount of rotated text on a page surpasses a predefined threshold,  the page is ..."},"56":{y:0,u:"../Content/filter_shared/Skip_Embedded_Fonts.htm",l:-1,t:"Skip Embedded Fonts",i:0.00441592072421849,a:"Text in PDF files sometimes contains embedded fonts. If you experience difficulties filtering embedded fonts, you can skip this type of text. If you skip embedded fonts, none of the content that contains embedded fonts is included in the output. To skip text that uses embedded fonts In the Java API, ..."},"57":{y:0,u:"../Content/filter_shared/Control_Hyphenation.htm",l:-1,t:"Control Hyphenation",i:0.00441592072421849,a:"There are two types of hyphens in a PDF document: A soft hyphen is added to a word by a word processor to divide the word across two lines. This is a discretionary hyphen and is used to ensure proper text flow in justified text. A hard hyphen is intentionally added to a word regardless of the word\u0027s ..."},"58":{y:0,u:"../Content/filter_shared/Filter_Portfolio_PDF.htm",l:-1,t:"Filter Portfolio PDF Files",i:0.00441592072421849,a:"Filter Portfolio PDF Files Portfolio PDF files contain subfiles and an ActionScript interface for navigating between them. You can use the extraction API to extract the subfiles.  See  Extract Subfiles from PDF Files ."},"59":{y:0,u:"../Content/Shared/_KV_Table_Detection_PDF.htm",l:-1,t:"Table Detection for PDF Files",i:0.00441592072421849,a:"PDF files often contain data presented in a tabular form. However, there is no information about the table stored within the PDF itself – the text is simply placed in  an arrangement that looks like a table to the human eye. When this data is filtered, it can be very difficult to reconstruct the ..."},"60":{y:0,u:"../Content/filter_shared/Filter_Spreadsheet_Files.htm",l:-1,t:"Filter Spreadsheet Files",i:0.00441592072421849,a:"Filter Spreadsheet Files Filter has special configuration options that enable greater control over the conversion of spreadsheet files."},"61":{y:0,u:"../Content/filter_shared/Filter_Worksheet_Names.htm",l:-1,t:"Filter Worksheet Names",i:0.00441592072421849,a:"Filter  Worksheet Names Normally, Filter does not extract worksheet names from a spreadsheet because it is assumed that the text should not be exposed. To extract worksheet names, add the following lines to the  formats.ini file: [Options]\ngetsheetnames=1"},"62":{y:0,u:"../Content/filter_shared/Filter_Hidden_Text_Excel.htm",l:-1,t:"Filter Hidden Text in Microsoft Excel Files",i:0.00441592072421849,a:"Filter  Hidden Text in Microsoft Excel Files Normally, Filter does not filter hidden text from a Microsoft Excel spreadsheet because it is assumed the text should not be exposed. You can change this default behavior, and extract text from hidden rows, columns, and sheets from Excel spreadsheets by ..."},"63":{y:0,u:"../Content/filter_shared/Specify_Date_and_Time_Fo.htm",l:-1,t:"Specify Date and Time Format on UNIX Systems",i:0.00441592072421849,a:"In Microsoft Excel you can choose to format dates and times according to the system locale.  On Windows, KeyView uses the system locale settings to determine how these dates and times should be formatted.  In other operating systems, KeyView uses the U.S. short date format (mm/dd/yyyy).  You can ..."},"64":{y:0,u:"../Content/filter_shared/large_numbers_excel.htm",l:-1,t:"Filter Very Large Numbers in Spreadsheet Cells to Precision Numbers",i:0.00441592072421849,a:"Numbers in Microsoft Excel files can be extracted and written to the output without formatting. By default, numbers are extracted in the format specified by the Excel file (for example, General, Currency and Date). Spreadsheets might contain cells that have very large numbers in them. Excel displays ..."},"65":{y:0,u:"../Content/filter_shared/Extract_Excel_Formulas.htm",l:-1,t:"Extract Microsoft Excel Formulas",i:0.00441592072421849,a:"When you filter a Microsoft Excel spreadsheet, KeyView extracts the value of each cell. The value of a cell might be calculated from a formula, but the formula is not included in the output unless you configure KeyView to include it. You can extract the cell value, the formula, or both. For example, ..."},"66":{y:0,u:"../Content/Shared/_KV_Standardize_Cell_Formats.htm",l:-1,t:"Standardize Cell Formats",i:0.00441592072421849,a:"In Microsoft Excel you can format cell values. For example, the date \"15/09/2021\" could be formatted as \"15 September 2021\" or \"2021-09-15\". By default, KeyView extracts cell values with formatting, as they would appear in Excel. If you prefer, you can configure KeyView to standardize cell values. ..."},"67":{y:0,u:"../Content/filter_shared/Tab_Delimited_Output.htm",l:-1,t:"Tab Delimited Output for Spreadsheets and Embedded Tables",i:0.00441592072421849,a:"You can use KeyView to convert spreadsheets, embedded tables in Word Processing documents (for example, Microsoft Word documents), and tables detected by Optical Character Recognition (OCR), to tab-delimited form. In this format, KeyView inserts a tab character between each cell, and a line break ..."},"68":{y:0,u:"../Content/filter_shared/Presentation_LogicalOrder.htm",l:-1,t:"Filter Presentation Files to a Logical Reading Order",i:0.00441592072421849,a:"With some file formats, for example Microsoft PowerPoint presentations, the order of the text inside the file has no relation to the layout of the text on the page or screen. Recently modified text might appear at the end of a file, even though that text belongs at the beginning of the document. You ..."},"69":{y:0,u:"../Content/filter_shared/Filter_XML_Files.htm",l:-1,t:"Filter XML Files",i:0.00636719745588638,a:"KeyView can detect many types of XML file, including: Generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and spreadsheet) When you filter XML, you can tell KeyView which elements to treat as content and metadata, or to treat the ..."},"70":{y:0,u:"../Content/Java/filter_api/Configure_Element_Extrac.htm",l:-1,t:"Configure Element Extraction for XML Documents",i:0.00767995489756835,a:"Configure  Element Extraction for XML Documents When filtering XML files, you can specify which elements and attributes are extracted according to the file\u0027s format ID or root element. This is useful when you want to extract only relevant text elements, such as abstracts from reports, or a list of ..."},"71":{y:0,u:"../Content/filter_shared/Filter_Hidden_Data.htm",l:-1,t:"Filter Hidden Data",i:0.00441592072421849,a:"Filter Hidden Data Some documents contain hidden information, which is not filtered by default. Depending on the type of hidden data that you want to filter and the type of document that you are filtering, you can either use the API or set parameters in the formats.ini file."},"72":{y:0,u:"../Content/filter_shared/Hidden_Data_HTML.htm",l:-1,t:"Hidden Data in HTML Documents",i:0.00441592072421849,a:"KeyView can filter comments from HTML documents. To enable comment filtering, you must set a flag in the formats.ini file. To enable filtering of comments from HTML files Open the formats.ini file in a text editor. Under [Options], set the following flag. GetHTMLHiddenInfo= 1"},"73":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Exclude Japanese Guide Text",i:0.00441592072421849,a:"This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In the Java API, call the setNoPhoneticGuides method on the filter object, for example: filter.setNoPhoneticGuides(true); In  formats.ini, ..."},"74":{y:0,u:"../Content/filter_shared/Optical_Character_Recognition.htm",l:-1,t:"Optical Character Recognition",i:0.00441592072421849,a:"When processing raster image files, KeyView can perform Optical Character Recognition (OCR) to attempt to filter text that might be visible in the image. If text is detected to form part of a table, it will be filtered in the same way as tables in Word Processing documents. KeyView performs OCR only ..."},"75":{y:0,u:"../Content/filter_shared/OCR.htm",l:-1,t:"Optimize OCR Performance",i:0.00816950443200594,a:"The default settings for OCR attempt to detect as much text as possible. For example, KeyView attempts to detect text in multiple languages and alphabets, and rotated text in increments of 90 degrees from upright. This increases the amount of text that can be detected, prioritizing recall over ..."},"76":{y:0,u:"../Content/filter_shared/OCR_Config_Examples.htm",l:-1,t:"Configure OCR",i:0.00441592072421849,a:"In the following examples, OCR is configured to process scanned pages that contain only English or only Japanese text. Providing information about the input can result in a performance improvement, but OCR may fail to recognize text that does not match your configuration. For more information about ..."},"77":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00441592072421849,a:"When KeyView needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, KeyView uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in the [RMS] section of the ..."},"78":{y:0,u:"../Content/filter_shared/DocumentRestrictions.htm",l:-1,t:"Document Restrictions",i:0.00441592072421849,a:"Some applications, and corresponding file formats, allow users to restrict the ways in which a document can be used. For example, you might be able to read a document but additional credentials (such as a password) could be required to modify the document content, add comments, or print the ..."},"79":{y:0,u:"../Content/kv_metadata_api_c/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.00610503339272284,a:"Use the Metadata API This section describes how to use KeyView to access metadata."},"80":{y:0,u:"../Content/kv_metadata_api_c/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.0252655155589413,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"81":{y:0,u:"../Content/kv_metadata_api_c/_KV_Understanding_Metadata.htm",l:-1,t:"Understanding Metadata Fields in KeyView",i:0.00441592072421849,a:"Field Standardization Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image ..."},"82":{y:0,u:"../Content/kv_metadata_api_c/_KV_Process_Fields.htm",l:-1,t:"Access Metadata Fields",i:0.00441592072421849,a:"This section explains how to process metadata fields using the KeyView API. Standardized Fields When KeyView understands the meaning of a metadata field in a document, it outputs that data in a standardized field. For a MetadataElement that represents a standardized field: isStandard() returns true. ..."},"83":{y:0,u:"../Content/Chapter_Samples.htm",l:-1,t:"Sample Programs",i:0.0121842553469133,a:"Sample Programs This section describes the sample programs provided with Filter SDK."},"84":{y:0,u:"../Content/Java/samples/Introduction.htm",l:-1,t:"Introduction",i:0.00441592072421849,a:"The following Java sample programs are provided: ExtractFilter FilterFileByChunk FilterFileToFile FilterFileToStream FilterStreamByChunk FilterStreamToFile FilterStreamToStream FilterTest The source code for the programs is in the directory javaapi/sample. Included alongside the source code are ..."},"85":{y:0,u:"../Content/Java/samples/ExtractFilter.htm",l:-1,t:"ExtractFilter",i:0.00488511868769192,a:"The ExtractFilter program demonstrates the File Extraction interface. The FilterTest sample program demonstrates the functionality of the Filtering interface. See  FilterTest . The ExtractFilter program demonstrates the following functionality: opens a document extracts subfiles from a document ..."},"86":{y:0,u:"../Content/Java/samples/FilterFileByChunk.htm",l:-1,t:"FilterFileByChunk",i:0.00488511868769192,a:"The FilterFileByChunk program filters an input file to an output file using the Java API method  doFilterChunk(). The method filters an input source and returns one chunk of output data. The program calls the method repeatedly until the entire file is processed. Run FilterFileByChunk on Windows To ..."},"87":{y:0,u:"../Content/Java/samples/FilterFileToFile.htm",l:-1,t:"FilterFileToFile",i:0.00488511868769192,a:"The FilterFileToFile program filters an input file to an output file using Java API methods in Filter. It demonstrates the following functions: filters an input file to an output file. extracts the character set if it can be determined by the document reader. extracts  file format information ..."},"88":{y:0,u:"../Content/Java/samples/FilterFileToStream.htm",l:-1,t:"FilterFileToStream",i:0.00488511868769192,a:"The FilterFileToStream program filters an input file to an output stream using Java API methods in Filter.  Run FilterFileToStream on Windows To run FilterFileToStream on Windows In the FilterFileToStream.bat file, set the following variables. Run the batch file in the directory  ..."},"89":{y:0,u:"../Content/Java/samples/FilterStreamByChunk.htm",l:-1,t:"FilterStreamByChunk",i:0.00488511868769192,a:"The FilterStreamByChunk program filters an input stream to an output stream using the Java API method  doFilterChunk(). The method filters an input source and returns one chunk of output data. The program calls the method repeatedly until the entire output buffer is processed. In KeyView version ..."},"90":{y:0,u:"../Content/Java/samples/FilterStreamToFile.htm",l:-1,t:"FilterStreamToFile",i:0.00488511868769192,a:"The FilterStreamToFile program filters an input stream to an output file using Java API methods in Filter.  In KeyView version 12.9 and later, OpenText recommends that you implement a com.verity.api.SeekableInputStream. See  Input/Output Operations . Run FilterStreamToFile on Windows To run ..."},"91":{y:0,u:"../Content/Java/samples/FilterStreamToStream.htm",l:-1,t:"FilterStreamToStream",i:0.00488511868769192,a:"The FilterStreamToStream program filters an input stream to an output stream using Java API methods in Filter. It demonstrates the following functions: creates an input and an output stream. Filters the input stream to the output stream. extracts file  format information (document type, format, ..."},"92":{y:0,u:"../Content/Java/samples/FilterTest.htm",l:-1,t:"FilterTest",i:0.0183646439600806,a:"The FilterTest program demonstrates most of the Filtering methods available in the Java API. It filters an input document to an output document and enables you to specify command-line options. The command-line options are listed in  Options for FilterTest Sample Program . To run FilterTest Add the ..."},"93":{y:0,u:"../Content/Chapter_AdvancedTopics.htm",l:-1,t:"Advanced Topics",i:0.00516663746577598,a:"Advanced Topics This section describes some advanced topics that apply to both the Filter API and the Extraction API."},"94":{y:0,u:"../Content/filter_shared/File_Caching.htm",l:-1,t:"File Caching",i:0.00441592072421849,a:"To reduce the frequency of I/O operations, and consequently improve performance, the KeyView readers load file data into memory. The readers then read the data from the cache rather than the physical disk. You can configure the amount of memory used for file caching through the formats.ini file. ..."},"95":{y:0,u:"../Content/filter_shared/Use_Streaming_Mode.htm",l:-1,t:"Configure Pipe-Streaming",i:0.00441592072421849,a:"This section describes advanced options for configuring the streaming method that Filter uses, to optimize performance. By default, when you run Filter out-of-process,  and pass file streams to the API (instead of file names),  Filter uses temporary files for much of the communication with ..."},"96":{y:0,u:"../Content/filter_shared/Generate_an_Error_Log.htm",l:-1,t:"Generate an Out-of-Process Error Log",i:0.0113601038306287,a:"You can monitor and debug out-of-process filtering operations by enabling a detailed error log. This enables you to see errors that are generated at run time, and to track problem files in stream or file mode. Error logs are not generated when in-process filtering is enabled. The out-of-process ..."},"97":{y:0,u:"../Content/filter_shared/Enable_Disable_Error_Logging.htm",l:-1,t:"Enable or Disable Out-of-Process Error Logging",i:0.00958594681852745,a:"You can enable or disable out-of-process error logging by using either the API or environment variables. By default, a file called kvoop.log is created in the system temporary directory; however, you can change the path and file name of this file (see  Configure the Out-of-Process Error Log ). To ..."},"98":{y:0,u:"../Content/filter_shared/Configure_Error_Log.htm",l:-1,t:"Configure the Out-of-Process Error Log",i:0.0157828662148527,a:"Configure the Out-of-Process Error Log To configure the out-of-process error log, set the following configuration parameters in the [kvooplog] section of the formats.ini configuration file. For example: [kvooplog]\nKvoopLogName=filepath\nLogFileSize=1024\nOverWriteLog=1"},"99":{y:0,u:"../Content/Java/filter_api/Report_the_Filename_in_S.htm",l:-1,t:"Report the File Name in Stream Mode",i:0.00763467008685955,a:"When you run Filter in file mode, the file name is always reported in the log file. To report the file name in stream mode, you must extract it through the API. To add the input file name to the log Create an instance of ConfigOption with the following arguments: Set the  OptionType to  ..."},"100":{y:0,u:"../Content/Part_Appendixes.htm",l:-1,t:"Appendixes",i:0.00441592072421849,a:"This section lists supported formats, supported character sets, and redistributed files, and provides information on format detection and developing a custom document reader. Supported Formats Document Readers Platform Differences Character Sets Extract and Format Lotus Notes Subfiles List of ..."},"101":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.00479127909499724,a:"Supported Formats This section lists the file formats that KeyView can detect."},"102":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00441592072421849,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"103":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0149721729316035,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"104":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00441592072421849,a:"File Classes"},"105":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.00854486280278469,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"106":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00441592072421849,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"107":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0107612833216437,a:"Document Readers"},"108":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00479127909499724,a:"Platform Differences Most KeyView features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"109":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.0112185892238161,a:"Feature Differences"},"110":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.00746500551602863,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"111":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00479127909499724,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"112":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00441592072421849,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},"113":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.0125976455682644,a:"Coded Character Sets This section lists which character set  you can use to specify the target character set.  The coded character sets are enumerated in kvcharset.h and defined in the  Filter  class."},"114":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00604247366425972,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"115":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00441592072421849,a:"KeyView uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, you might need to ..."},"116":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00441592072421849,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"117":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.0557639105054626,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"118":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0281143544543946,a:"This section lists the supported Notes and KeyView date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. KeyView Date and Time Formats ..."},"119":{y:0,u:"../Content/filter_shared/filter_filelist/filter_filelist.htm",l:-1,t:"List of Required Files for Redistribution",i:0.00479127909499724,a:"This section lists the Filter files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where  install is the path of the Filter installation directory and OS is the operating system platform. On Windows ..."},"120":{y:0,u:"../Content/filter_shared/filter_filelist/Core_Files.htm",l:-1,t:"Core Files",i:0.00441592072421849,a:"Core Files The following core files can be redistributed with your application."},"121":{y:0,u:"../Content/filter_shared/filter_filelist/Support_Files.htm",l:-1,t:"Support Files",i:0.00441592072421849,a:"Support Files The following support files can be redistributed with your application."},"122":{y:0,u:"../Content/filter_shared/filter_filelist/Document_Readers.htm",l:-1,t:"Document Readers",i:0.00767995489756835,a:"Document  Readers The following readers can be redistributed with your application."},"123":{y:0,u:"../Content/app_pwd_filter.htm",l:-1,t:"Password Protected Files",i:0.00604247366425972,a:"Password Protected Files This section lists supported password-protected container and non-container files."},"124":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00441592072421849,a:"The following table lists the password-protected file types that KeyView supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not require credentials to ..."},"125":{y:0,u:"../Content/Java/Filter_Password_Protected_Java.htm",l:-1,t:"Filter Password Protected Files",i:0.00441592072421849,a:"This section describes how to filter password-protected non-container files with the Java API. To filter password-protected files Use the setSourcePassword(java.lang.String pwd) method. For example: objFilter.setSourcePassword(pwd); where  pwd is a null-terminated string of 255 characters or fewer."},"126":{y:0,u:"../Content/filter_shared/Filter_SDK_Optional_Components.htm",l:-1,t:"Optional Components in the Filter SDK",i:0.00479127909499724,a:"Optional Components in the Filter SDK This section contains information about optional libraries and how they can be managed to reduce third-party library usage and the install size."},"127":{y:0,u:"../Content/filter_shared/Reducing_Third_Party_Usage.htm",l:-1,t:"Reducing Third-Party Library Usage",i:0.0294313952280252,a:"The following third-party vendor libraries are optional dependencies of KeyView.  This table shows you which .dll / .so files you will need to delete if you want to remove the third-party library, and what functionality you will lose as a result.  It also shows which lines you should remove from ..."},"128":{y:0,u:"../Content/filter_shared/Reducing_Install_Size.htm",l:-1,t:"Reducing Install Size",i:0.00441592072421849,a:"Reducing Install Size The following KeyView Filter libraries can be safely deleted to reduce the size of the bin folder. *The sizes are given as approximate examples only and are taken from the WINDOWS_X86_64 release."},"129":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Library Upgrade",i:0.00441592072421849,a:"Third-Party Library Upgrade This section describes the KeyView upgrade policy for third-party libraries."},"130":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.00441592072421849,a:"KeyView uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that KeyView includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of KeyView, or that are used for ..."},"131":{y:0,u:"../Content/kv_RMS/_KV_RMS_Intro.htm",l:-1,t:"Microsoft Rights Management Service Protected Files",i:0.00479127909499724,a:"Microsoft Rights Management Service Protected Files This section contains information about KeyView support for Microsoft Rights Management Service (RMS)."},});